# Class PUTFIELD

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.CPInstruction
org.apache.bcel.generic.FieldOrMethod
org.apache.bcel.generic.FieldInstruction
org.apache.bcel.generic.PUTFIELD

All Implemented Interfaces:
  `Cloneable, ExceptionThrower, IndexedInstruction, LoadClass, PopInstruction, StackConsumer, TypedInstruction`

public class PUTFIELD extends FieldInstruction implements PopInstruction, ExceptionThrower
PUTFIELD - Put field in object

    Stack: ..., objectref, value -> ...

OR

    Stack: ..., objectref, value.word1, value.word2 -> ...

- ## Field Summary

  ### Fields inherited from class CPInstruction

  `index`

  ### Fields inherited from class Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PUTFIELD(int index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Call corresponding visitor method(s).
  `int`
  `consumeStack(ConstantPoolGen cpg)`
  This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.
  `Class<?>[]`
  `getExceptions()`

  ### Methods inherited from class FieldInstruction

  `getFieldName, getFieldSize, getFieldType, getType, toString`

  ### Methods inherited from class FieldOrMethod

  `getClassName, getClassType, getLoadClassType, getName, getReferenceType, getSignature`

  ### Methods inherited from class CPInstruction

  `dump, getIndex, initFromFile, setIndex, toString`

  ### Methods inherited from class Instruction

  `copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PUTFIELD

    public PUTFIELD(int index)

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
    Specified by:
      `accept` in class `Instruction`
    Parameters:
      `v` - Visitor object

  - ### consumeStack

    public int consumeStack(ConstantPoolGen cpg)
    Description copied from class: `Instruction`
    This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.
    Specified by:
      `consumeStack` in interface `StackConsumer`
    Overrides:
      `consumeStack` in class `Instruction`
    Returns:
      Number of words consumed from stack by this instruction, or Constants.UNPREDICTABLE, if this cannot be computed statically

  - ### getExceptions

    public Class<?>[] getExceptions()
    Specified by:
      `getExceptions` in interface `ExceptionThrower`